Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453277 - kde4 switching user doesn't work
Summary: kde4 switching user doesn't work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace
Version: 9
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 19:29 UTC by Don Zickus
Modified: 2008-07-16 19:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-16 19:35:37 UTC


Attachments (Terms of Use)

Description Don Zickus 2008-06-28 19:29:34 UTC
Description of problem:
After finally convincing my wife to use Linux, I now have the problem that she
is always using my machine.  What is worse is that we both share the same
browser, so we constantly log each other out of gmail.

Thinking I would be smart and set her up with an account on the machine and just
use the fast-user-switching thing, would make my life easier.

Well I upgraded to F9 and tried using the KDE button -> Leave -> Switch user. 
Needless to say I failed miserably.  It pops up a menu that does not switch users.

I just want to switch users.  I even tried the 'startx -- :1' approach but that
failed with QDBus errors when I was switching windows (control-alt-f7/6)

Help?

Version-Release number of selected component (if applicable):
kdebase3-pim-ioslaves-3.5.9-15.fc9.i386
kdepim-3.5.9-10.fc9.i386
kdepim-devel-3.5.9-10.fc9.i386
kdebindings-dcopperl-3.5.8-1.fc7.i386
kdebluetooth-libs-1.0-0.41.beta8.fc9.i386
kdelibs3-devel-3.5.9-15.fc9.i386
kdemultimedia-libs-4.0.5-1.fc9.i386
kdeedu-4.0.5-1.fc9.i386
kdegraphics-devel-4.0.5-1.fc9.i386
kdesdk-utils-4.0.5-3.fc9.i386
kdeutils-4.0.5-1.fc9.i386
kdenetwork-4.0.5-3.fc9.i386
kdesdk-libs-4.0.5-3.fc9.i386
kdegraphics-libs-4.0.5-1.fc9.i386
kdebindings-4.0.5-2.fc9.i386
kdelibs-common-4.0.5-2.fc9.i386
kdebase-workspace-libs-4.0.5-3.fc9.i386
kdelibs-devel-4.0.5-2.fc9.i386
kdebase-workspace-4.0.5-3.fc9.i386
kdenetwork-devel-4.0.5-3.fc9.i386
kdepim-libs-3.5.9-10.fc9.i386
kdenetwork-libs-4.0.5-3.fc9.i386
kdemultimedia-4.0.5-1.fc9.i386
kdewebdev-3.5.9-4.fc9.i386
kdelibs3-apidocs-3.5.9-15.fc9.i386
kdebase3-devel-3.5.9-15.fc9.i386
kde-settings-4.0-23.fc9.noarch
kdegames-libs-4.0.5-1.fc9.i386
kdegames-4.0.5-1.fc9.i386
kdevelop-3.5.2-2.fc9.i386
kdebase-libs-4.0.5-4.fc9.i386
kde-filesystem-4-14.fc9.noarch
kde-i18n-Polish-3.5.9-5.fc9.noarch
kdelibs-4.0.5-2.fc9.i386
kdebase-runtime-4.0.5-2.fc9.i386
kdeaccessibility-4.0.5-1.fc9.i386
kdegraphics-4.0.5-1.fc9.i386
kdevelop-libs-3.5.2-2.fc9.i386
kdesdk-4.0.5-3.fc9.i386
kdeartwork-4.0.5-2.fc9.i386
kdewebdev-libs-3.5.9-4.fc9.i386
kdelibs3-3.5.9-15.fc9.i386
kdebase3-libs-3.5.9-15.fc9.i386
kde-settings-kdm-4.0-23.fc9.noarch
kdepimlibs-4.0.5-1.fc9.i386
kdeedu-libs-4.0.5-1.fc9.i386
kdebase3-3.5.9-15.fc9.i386
kdebase-4.0.5-4.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. click on kde menu button -> Leave -> switch user
2. become baffled when the word SESSIONS shows up in a box
3. become frustrated when you can't find a button to switch user
  
Actual results:
nothing

Expected results:
switch to another user

Additional info:

i have one of those binary nvidia drivers loaded, in case that causes me limitations

Comment 1 Rex Dieter 2008-06-28 21:08:01 UTC
kde's user switching only works if you're using kdm as DISPLAYMANAGER (and not gdm).

make sure you have a
/etc/sysconfig/desktop
containing
DISPLAYMANAGER="KDE"

and reboot.

Comment 2 Kevin Kofler 2008-06-28 21:16:51 UTC
Right, unfortunately KDE and GNOME both have their own idea of how user 
switching should work, and GDM only supports the GNOME method, KDM only the KDE 
one. How this came to happen is that KDE was the first to implement user 
switching and they did it in the way they considered the simplest (by starting 
up another X11 "virtual terminal" as the new user). Then GNOME came along and 
implemented a design optimized for speed (the switching happens in the 
same "virtual terminal", and ConsoleKit and GNOME do all the magic), which is 
not supported by KDE yet. So for now we're stuck with 2 different user 
switching methods, each only working if the login manager matches the 
desktop. :-(

Comment 3 Don Zickus 2008-06-30 12:27:06 UTC
Ok, I did that, rebooted and got the new display manager.  But the 'switch user'
command still isn't working correctly.  Same symptoms as before. Thoughts?

Comment 4 Steven M. Parrish 2008-07-11 20:46:27 UTC
Ok when you see the box with SESSIONS in it.  Click launch, you will get a
warning message confirming you want to start a new session.  Chose Launch a new
session and you will be taken to KDM to logon a new user.  Let me know if this
helps.

Comment 5 Don Zickus 2008-07-16 19:21:58 UTC
Ahh, yes it does.  The screen is very confusing as to what it is supposed to do.
 But I got my new login screen so I'm happy.


Note You need to log in before you can comment on or make changes to this bug.